[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TStringList.Get

Return a string by key name

## Declaration

Source position: objects.pp line 542

`function TStringList.Get(`
`Key: Sw_Word`
`):string;`

## Description

Get reads the string with key Key from the list of strings on the stream, and returns this string. If there is no string with such a key, an empty string is returned.

## Errors

If no string with key Key is found, an empty string is returned. A stream error may result if the stream doesn't contain the needed strings.

## See also

TStrListMaker.Put |  | Add a new string to the list with associated key.